Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4768 reopened defect

Use tarballs for stable versions development tools

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 6.1
Component: tool Version: 6
Severity: blocker Keywords:
Cc: Blocked By: #4921
Blocking:

Description

Currently many of the individual tools in the development toolchain are using specified in the RSB using git hashes and not release versions. This is an issue for stable tool versions (e.g. 6) and release branches. Using git hashes is necessary for picking up bug fixes in some cases and should likely be the preference for the forward leaning tools (e.g. 7) but released versions with patches should be given preference.

Note: Newlib is acknowledged as likely always being a hash.

Change History (4)

comment:1 Changed on 11/30/22 at 21:02:25 by Chris Johns

I agree with this. Should the Eng doco be updated to reflect this as a policy?

comment:2 Changed on 02/20/23 at 20:43:23 by Joel Sherrill

Resolution: worksforme
Status: newclosed

Confirming that the RSB lists all tools as released versions except rtems-tools and newlib. See https://git.rtems.org/rtems-source-builder/tree/rtems/config/6/rtems-default.bset for details.

comment:3 Changed on 03/06/23 at 03:40:26 by Chris Johns

Resolution: worksforme
Status: closedreopened

I am reopening this ticket. The severity is blocker and if a release is not to used upstream released tarball files we need a clear reason why.

The RSB is not using GCC released sources and the current rtems/config/tools/rtems-gcc-10-newlib-head.cfg shows this.

If you look at the 5.3 sources you will see gcc tarballs are used, eg gcc-9.3.0.tar.xz. As things are an RTEMS 6 release will end up with a file called gnu-mirror-gcc-92b44cf,tar.gz.

Where is the repo this comes from?

The name gnu-mirror-gcc is confusing unless you understand what is going on?

How do you track the integrity of the repo used once you manage to find it?

I think we should be using a GCC release tarball of code in releases.

comment:4 Changed on 07/03/23 at 21:54:59 by Chris Johns

Blocked By: 4921 added
Note: See TracTickets for help on using tickets.